WordPress 3.1.1, actualización recomendada

Tweet about this on TwitterShare on Google+Share on FacebookEmail this to someonePrint this page

Como era de esperar, tras el lanzamiento de la esperada versión 3.1 de WordPress le ha seguido el lanzamiento de WordPress 3.1.1, donde se han limado algunos detalles como:

  • Endurecimiento de las medidas de seguridad en la subida de archivos multimedia
  • Mejoras de rendimiento
  • Arreglos en el soporte a IIS6
  • Arreglos en los enlaces permanentes con PATHINFO (/index.php/) y en los de taxonomías.
  • Arreglos en algunos casos extremos de consultas y taxonomías que causaban problemas de incompatibilidad con algunas extensiones

WordPress 3.1.1 también soluciona tres problemas de seguridad descubiertos por los desarrolladores del núcleo Jon Cave y Peter Westwood, miembros del equipo de seguridad. El primero endurece la prevención CSRF en la subida de archivos multimedia. El segundo evita un cuelgue de PHP en ciertos entornos al manejar enlaces particularmente malintencionados en los comentarios, y el tercero soluciona una vulnerabilidad XSS.

Se recomienda actualizar lo antes posible a esta nueva versión.

2 pensamientos en “WordPress 3.1.1, actualización recomendada

  1. Vera

    Me extraña que nadie haya dejado un comentario referente a esta entrada. El caso es que WordPress 3.1.1 tiene más errores de los que han corregido y sobre ello he hablando en mi blog, te dejo unos enlaces, donde puedes verificar y comentar tu opinión al respecto.

    http://www.verasoul.com/2011/04/wordpress-3-1-1-con-graves-problemas.html

    A todo el que quiera actualizar, es recomendable antes, seguir una serie de consejos: http://www.verasoul.com/2011/04/como-actualizar-wordpress-para-evitar-problemas-futuros.html

    Un saludo

    1. Samuel

      Hola Vera,

      He leído los supuestos problemas de WordPress 3.1.1 que comentas en tu blog, y como me imaginaba no son problemas de WordPress 3.1.1 sino de los plugins que usas. Son los plugins los que deben adaptarse a nuevas versiones del núcleo de WordPress y no al revés. Si al actualizar WordPress los plugins hacen que tu blog deje de funcionar, a quien deberías “echar la culpa” es a los autores de los mismos, que deberían actualizarlos para que sigan siendo compatibles con la nueva versión de WordPress.

      Te puedo asegurar que desde que salió WordPress 3.1.1 he actualizado alrededor de 50 instalaciones y no he tenido ni un solo problema.

      Respecto a los consejos, no puedo opinar porque al visitar ese URL lo único que veo es un post en blanco y un banner de publicidad.

Deja un comentario

Tu dirección de email no será publicada. Campos obligatorios marcados con *